Subject: Re: [PATCH 3/8] Remove unused pte_offset variable

From: Michael Ellerman <[email-masked]>
Date: Wed, 27 Feb 2008 19:11:00 +1100

On Wed, 2008-02-27 at 19:04 +1100, Benjamin Herrenschmidt wrote:
> On Wed, 2008-02-27 at 18:28 +1100, Michael Ellerman wrote:
> > The cell IOMMU code no longer needs to save the pte_offset variable
> > separately, it is incorporated into tbl->it_offset.
> > 
> > Signed-off-by: Michael Ellerman <[email-masked]>
> > ---
> 
> Do this work on spider ?
> 
> There is a subtle difference with spider is that the 0x80000000 you give
> to devices disappears when reaching the iommu (so isn't to be catered
> in the iommu offset).
> 
> It's a bit like the offset you have to add to the direct mapping on
> axon, in fact (the 0x8000060000000000 or so ...)

I'm pretty sure I tested it and it worked.

But I didn't actually change anything WRT the spider offset anyway, we
still add it to it_offset just like we used to, it's just we don't put
it in the window and then pull it out again.

The only thing that's changed is we now use offset (aka. base) in the
tce routines in addition to pte_offset.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person